报错:library not found for -lstdc++.6.0.9

在Xcode 10开发中,

 

报错:library not found for -lstdc++.6.0.9

解决方案:将Xcode9的libstdc++6.0.9.tbd拷贝到Xcode10中使用

Xcode10libstdc++相关的3个库(libstdc++libstdc++.6libstdc++6.0.9)被彻底废弃了

 

Xcode10和iOS12的适配  

问题1:xcode 10 移除了 -libstdc++6.0.9?? 导致项目运行不起来(临时解决~正确姿势是替换或者找依赖这个库的服务方换库升级巴拉巴拉)
解决方案:拷贝xcode 9 下的 libstdc++6.0.9 到xcode 10的目录下 (Xcode显示包内容 Contents/Developer/Platforms/iPhoneOS.platform(模拟器下运行:iPhoneSimulator.platform)/Developer/SDKs/iPhoneOS.sdk/usr/lib/)
问题2:cocoapods 在 macOS升级情况下失效(提示pod: Undefined error: 0 或者 command not found)
解决方案:1.打开终端 先升级 gem update --system 2.升级cocoapods (brew 安装的 :brew upgrade cocoapods)3.执行 sudo gem install -n /usr/local/bin cocoapods 

posted @ 2018-09-19 14:28 鸿鹄当高远 阅读(...) 评论(...) 编辑 收藏